--- old/usr/src/Makefile.master	Wed Oct  1 18:40:28 2014
+++ new/usr/src/Makefile.master	Wed Oct  1 18:40:28 2014
@@ -23,6 +23,7 @@
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
+# Copyright 2014 Gary Mills
 #
 
 #
@@ -386,6 +387,9 @@
 # Unfortunately, this option can misfire very easily and unfixably.
 CERRWARN +=	-_gcc=-Wno-array-bounds
 
+# Suppress it: this warning generates many false alarms
+CERRWARN +=	-_gcc=-Wno-uninitialized
+
 # DEBUG v. -nd make for frequent unused variables, empty conditions, etc. in
 # -nd builds
 $(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-unused
@@ -414,11 +418,14 @@
 i386_ASFLAGS=	$(i386_AS_XARCH)
 amd64_ASFLAGS=	$(amd64_AS_XARCH)
 
+# Adjustments to specified optimization level
+ADJUST_COPT=		-_gcc=-fno-strict-aliasing -_gcc=-fno-tree-vrp
+
 #
-sparc_COPTFLAG=		-xO3
-sparcv9_COPTFLAG=	-xO3
-i386_COPTFLAG=		-O
-amd64_COPTFLAG=		-xO3
+sparc_COPTFLAG=		$(ADJUST_COPT) -xO3
+sparcv9_COPTFLAG=	$(ADJUST_COPT) -xO3
+i386_COPTFLAG=		$(ADJUST_COPT) -O
+amd64_COPTFLAG=		$(ADJUST_COPT) -xO3
 
 COPTFLAG= $($(MACH)_COPTFLAG)
 COPTFLAG64= $($(MACH64)_COPTFLAG)
